$(function(){

	$('nav').addClass('ov-click-menu');
	
	$('.ov-click-menu').prepend('<div class="menu-switch">menu</div>');
	
	$('.menu-switch').on('click', function(){
		$('.ov-click-menu').toggleClass('active');
		$('.ov-click-menu .menu').slideToggle();
	});
	
	$('li.folder').append('<span class="hidden_switch"></span>');
	
	$('.hidden_switch').click(function(){
		var w = $(window).width();
		var ul_down = $(this).parent().children('ul');
		var ul_up = $(this).parent().siblings().find('ul');
		if(w <= 800) {
			ul_down.slideToggle();
			ul_up.slideUp();
		} else {
			$(this).parent().toggleClass('parent_show');			
			$(this).parent().find('.folder').removeClass('parent_show');
			$(this).parent().siblings().removeClass('parent_show');
			$(this).parent().siblings().find('.parent_show').removeClass('parent_show');
		}
	});
	
	$(document).click(function(event) {
		var w = $(window).width();
		if ($(event.target).closest('li.parent_show').length) return;
		$(this).removeClass('parent_show');
		event.stopPropagation();

		if ($(event.target).closest('.ov-click-menu.active').length) return;
		$('.ov-click-menu.active').removeClass('active');
		$('li.parent_show').removeClass('parent_show');
		if(w > 800) {
			$('.ov-click-menu .menu').removeAttr('style');
			$('.ov-click-menu').find('ul').removeAttr('style');
		} else {
			$('.ov-click-menu .menu').slideUp();
			$('.ov-click-menu').find('ul').slideUp();
		}
		event.stopPropagation();
	
	});
	
	$(window).resize(function(){
		var w = $(window).width();
		if(w > 800) {
			$('li.folder').find('ul').removeAttr('style');
			$('.ov-click-menu .menu').removeAttr('style');
			$('.ov-click-menu').removeClass('active');
		} else {
			$('li.folder').removeClass('parent_show');
		}
	});

});